%define base_name	mplayer
%define name		%{base_name}-fonts
%define summary		Fonts for %{base_name}
%define version		1.0
%define release		9mdk
%define fonts_dir	%{_datadir}/%{base_name}/fonts
%define font_dir	%{_datadir}/%{base_name}/font

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
Source0:	koi8r-font.tar.bz2
Source1:	mp-arial-iso-8859-1.tar.bz2
Source2:	mp-arial-iso-8859-2.tar.bz2
URL:		http://www.mplayerhq.hu
License:	GPL
Group:		Video
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This packages includes following fonts:
- Fonts & symbols package for OSD (ISO 8859-1), by Arpi
- Fonts & symbols package for OSD (ISO 8859-2), by Arpi
- Russian fonts, by Nick Kurshev

%prep
%setup -q -c
%setup -q -c -T -D -a1
%setup -q -c -T -D -a2

%build

%install
install -d -m 755 ${RPM_BUILD_ROOT}%{fonts_dir}
cp -r * ${RPM_BUILD_ROOT}%{fonts_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %font_dir mplayer-fonts %{fonts_dir}/iso-8859-1/arial-24 30
update-alternatives --install %font_dir mplayer-fonts %{fonts_dir}/iso-8859-2/arial-24 20
update-alternatives --install %font_dir mplayer-fonts %{fonts_dir}/koi8r-font 10

%postun
update-alternatives --remove mplayer-fonts %{fonts_dir}/iso-8859-1/arial-24
update-alternatives --remove mplayer-fonts %{fonts_dir}/iso-8859-2/arial-24
update-alternatives --remove mplayer-fonts %{fonts_dir}/koi8r-font

%files
%defattr(-,root,root)
%{fonts_dir}

%changelog
* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-9mdk
- anniversary rebuild

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0-8mdk
- rebuild

* Mon Jul 29 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0-7mdk
- fixed %postun script

* Sat Jul 27 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0-6mdk
- really fixed perms (i suck)

* Sat Jul 27 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0-5mdk
- fixed perms

* Sat Jul 27 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0-4mdk
- first official mdk package

* Sat May 11 2002 Yves Duret <yves@plf.zarb.org> 1.0-3plf
- use update-alternatives to choose the font. (mplayer will work with fonts out of box now).
  priority 30 to iso-8859-1, 20 to iso-8859-2 and 10 to russian one.
- %%setup -q

* Wed Jan 30 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.0-2plf 
- new plf extension

* Thu Nov 29 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.0-2mdk
- moved files location to %{skin_dir}

* Wed Nov 28 2001 Guillaume Rousse <guillomovitch@plf.zarb.org> 1.0-1mdk
- first PLF release
